#
# spec file for package freeglut (Version 051110)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs expat file filesystem fillup findutils flex fontconfig fontconfig-devel gawk gcc gcc-c++ gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libdrm libdrm-devel libgcc libnscd libstdc++ libstdc++-devel libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openmotif-libs openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim xorg-x11-devel xorg-x11-libs zlib zlib-devel

Name:           freeglut
BuildRequires:  Mesa-devel gcc-c++ libdrm-devel
Summary:        Freely Licensed Alternative to the GLUT Library
Version:        051110
Release:        15.2
URL:            http://freeglut.sourceforge.net/
%define USE_EXTERNAL_MESA 1
Source0:        freeglut-%{version}.tar.bz2
Source1:        glutman.tar.bz2
Source2:        glxdemos.tar.bz2
Patch:          freeglut-%{version}.diff
Patch1:         glxdemos.diff
License:        X11/MIT
Provides:       mesaglut
Obsoletes:      mesaglut
Group:          System/Libraries
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
freeglut is a completely open source alternative to the OpenGL Utility
Toolkit (GLUT) library. GLUT was originally written by Mark Kilgard to
support the sample programs in the second edition OpenGL Redbook. Since
then, GLUT has been used in a wide variety of practical applications
because it is simple, universally available, and highly portable.

GLUT (and freeglut) allow the user to create and manage windows
containing OpenGL contexts and also read the mouse, keyboard, and
joystick functions on a wide range of platforms.



Authors:
--------
    Pawel W. Olszta
    Andreas Umbach
    Steve Baker

%debug_package
%package devel
Summary:        Development Package for freeglut (GLUT Library)
Group:          System/Libraries
Requires:       %{name} = %{version}-%{release} xorg-x11-Mesa-devel xorg-x11-devel
Provides:       mesaglut-devel
Obsoletes:      mesaglut-devel

%description devel
Freeglut (GLUT library) development package.



Authors:
--------
    Pawel W. Olszta
    Andreas Umbach
    Steve Baker

%prep
%setup -q -b1 -b2 -n freeglut
%patch
%if %USE_EXTERNAL_MESA
pushd ..
%patch1
popd
%endif

%build
autoreconf -fi
CFLAGS="$RPM_OPT_FLAGS" \
  ./configure --prefix=/usr --libdir=%_libdir
make %{?jobs:-j%jobs}
%if %USE_EXTERNAL_MESA
pushd ..
  for i in glxinfo glxgears xdriinfo; do
    pushd $i; xmkmf -a; make CDEBUGFLAGS="$RPM_OPT_FLAGS"; popd
  done
popd
%endif

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall 
# remove demos
rm -f ${RPM_BUILD_ROOT}/usr/bin/{fractals*,lorenz,one}
# glut Manual Pages
mkdir -p ${RPM_BUILD_ROOT}/%{_mandir}/man3
pushd ../glut-3.7
  for i in man/glut/glut*; do
    install -m 644 $i ${RPM_BUILD_ROOT}/%{_mandir}/man3/`basename $i man`3
  done
popd
%if %USE_EXTERNAL_MESA
pushd ..
  for i in glxinfo glxgears xdriinfo; do
    pushd $i
      make install DESTDIR=$RPM_BUILD_ROOT
      make install.man DESTDIR=$RPM_BUILD_ROOT
   popd
  done
popd
%endif

%post
%run_ldconfig

%postun
%run_ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%if %USE_EXTERNAL_MESA
/usr/X11R6/bin/glxgears
/usr/X11R6/bin/glxinfo
/usr/X11R6/bin/xdriinfo
/usr/X11R6/man/man1/glxgears.1x.gz
/usr/X11R6/man/man1/glxinfo.1x.gz
/usr/X11R6/man/man1/xdriinfo.1x.gz
%endif
%{_libdir}/libglut.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/GL/*
%{_libdir}/libglut.a
%{_libdir}/libglut.la
%{_libdir}/libglut.so
%{_mandir}/man3/*

%changelog -n freeglut
* Thu Jan 26 2006 - mls@suse.de
- fix BuildRequires
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Nov 11 2005 - sndirsch@suse.de
- moved glxinfo/glxgears/xdriinfo from -devel to main package
* Thu Nov 10 2005 - sndirsch@suse.de
- updated to current CVS (05-11-10) to fix all these "freeglut
  ERROR: Function <glut<whatever>> called without first calling
  'glutInit'" errors, which prevented many programs from starting
  (e.g. FlightGear); freeglut 2.4 seems known to be broken :-(
* Mon Nov 07 2005 - sndirsch@suse.de
- switched to external built Mesa
* Wed Oct 26 2005 - sndirsch@suse.de
- added build of glxinfo/glxgears/xdriinfo when %%USE_EXTERNAL_MESA
  is set
* Fri Jun 24 2005 - sndirsch@suse.de
- update to final release 2.4.0
* Fri Jun 10 2005 - sndirsch@suse.de
- removed "-Werror"
* Mon Jun 06 2005 - sndirsch@suse.de
- update to release 2.4.0-rc4
- obsoletes freeglut-gcc4.diff
* Sun Apr 10 2005 - sndirsch@suse.de
- new gcc4 patch (use the bits of CVS)
* Thu Apr 07 2005 - meissner@suse.de
- fortran does not appear to be needed here (just libtool
  checks for it as standard).
* Sat Apr 02 2005 - coolo@suse.de
- fix casts
* Thu Apr 29 2004 - coolo@suse.de
- build parallel if available
- build as user
* Mon Dec 15 2003 - sndirsch@suse.de
- updated to release 2.2.0
  * Mousewheel Support for Win32 & X11
  * More unified Win32/*nix behavior and code
  * Code style cleanups
  * Visibility support in Win32
  * Many other Good Bug Fixes
* Sat Dec 06 2003 - sndirsch@suse.de
- updated to release 2.0.1
  * fixes a number of bugs with menus
* Fri Oct 10 2003 - adrian@suse.de
- fix build for mips
- satisfy configure checks
* Thu Oct 02 2003 - sndirsch@suse.de
- provides/obsoletes mesaglut/mesglut-devel now
* Tue Sep 30 2003 - sndirsch@suse.de
- removed demos
* Tue Sep 30 2003 - sndirsch@suse.de
- added GLUT manual pages
* Mon Sep 29 2003 - sndirsch@suse.de
- updated to final release 2.0.0
* Thu Aug 14 2003 - sndirsch@suse.de
- added GameMode fix (GameModeFixes-4.dif)
* Thu Aug 07 2003 - sndirsch@suse.de
- created package
